Bug 1879352 - [virtual network] could not get a valid ip after hotunplug/hotplug network device many times
Summary: [virtual network] could not get a valid ip after hotunplug/hotplug network de...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.9
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Yvugenfi@redhat.com
QA Contact: Lei Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-16 03:55 UTC by FuXiangChun
Modified: 2020-10-14 01:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-13 08:05:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description FuXiangChun 2020-09-16 03:55:02 UTC
This bug was initially created as a copy of Bug #1829272

I am copying this bug because: 
They are very similar.


Description of problem:
Hotplug nic can not get ip address after hotplug combination NICs. This issue is found via automation test.  Maybe manual test can't use 'fd' or other reason.  I can't reproduce it by manual test.  Hit this issue on RHEL7.5 RHEL7.6 RHEL7.7 and RHEL7.9 host. 


Version-Release number of selected component (if applicable):

For 7.9 
qemu-kvm-rhev-2.12.0-48.el7_9.1.x86_64 qemu-kvm-rhev-2.12.0-48.el7.x86_64-->fail
qemu-kvm-rhev-2.12.0-47.el7.x86_64 -->works

qemu-kvm-1.5.3-175.el7.1.x86_64 qemu-kvm-1.5.3-175.el7.x86_64 -->fail
qemu-kvm-1.5.3-174.el7.x86_64 -->works

For 7.8 
works(no found)

For 7.7 
qemu-kvm-1.5.3-167.el7_7.7.x86_64-amd qemu-kvm-rhev-2.12.0-33.el7_7.12.x86_64--fail

qemu-kvm-rhev-2.12.0-33.el7_7.11.x86_64-->works

For 7.6
qemu-kvm-rhev-2.12.0-18.el7_6.12.x86_64 qemu-kvm-1.5.3-160.el7_6.7.x86_64 qemu-kvm-1.5.3-160.el7_6.8.x86_64 -->fail

qemu-kvm-rhev-2.12.0-18.el7_6.11.x86_64 qemu-kvm-1.5.3-160.el7_6.6.x86_64-->works

For 7.5 
qemu-kvm-rhev-2.10.0-21.el7_5.10.x86_64 -->fail


How reproducible:
sometimes

Steps to Reproduce:
1. boot guest

2. hotplug NICs(like this, This only is part of steps)

{'execute': 'netdev_add', 'arguments': {'type': 'tap', 'id': 'a-8139'}, 'id': '8139-1'}
{'execute': 'device_add', 'arguments': {'addr': '0xb', 'netdev': 'a-8139', 'bus': 'pci.0', 'driver': 'rtl8139', 'mac': '9a:ae:3b:81:a6:b1', 'id': 'idlvje5y'}, 'id': '9l4q3lzd'}
{ "execute": "set_link","arguments": { "name": "a-8139","up": false } }

{'execute': 'netdev_add', 'arguments': {'type': 'tap', 'id': 'virtio-net'}, 'id': 'virtio-2'}
{'execute': 'device_add', 'arguments': {'addr': '0xc', 'netdev': 'virtio-net', 'bus': 'pci.0', 'driver': 'virtio-net-pci', 'mac': '9a:ae:3b:81:a6:b2', 'id': 'idefuwn1'}, 'id': 'ukdhjwv4'}
{ "execute": "set_link","arguments": { "name": "virtio-net","up": false } }

{'execute': 'netdev_add', 'arguments': {'type': 'tap', 'id': 'b-1000'}, 'id': '1000-1'}
{'execute': 'device_add', 'arguments': {'addr': '0xd', 'netdev': 'b-1000', 'bus': 'pci.0', 'driver': 'e1000', 'mac': '9a:ae:3b:81:a6:b3', 'id': 'idE8vPBI'}, 'id': 'N0GmWfSV'}

3. inside guest.
#dhclient -r
#dhclient ethx


Actual results:
cannot get valid ip

Expected results:
can get ip and ping succesfully


Additional info:

Comment 4 Lei Yang 2020-10-10 02:26:10 UTC
Hi, Yan

I tried to reproduce this bug on rhel.7.9. I test 50 times on the rhel.7.9 and Win10 clients respectively,didn't reproduce this problem. So I think this problem should be an automated bug on rhel7 rather than a product bug. You can contact me at any time if you need other test results.

Test Version:
qemu-kvm-rhev-2.12.0-48.el7_9.1.x86_64
kernel-3.10.0-1160.el7.x86_64

Linux log:http://virtqetools.lab.eng.pek2.redhat.com/kvm_autotest_job_log/?jobid=4590760
Windows log: http://virtqetools.lab.eng.pek2.redhat.com/kvm_autotest_job_log/?jobid=4610115

Best Regards
Lei Yang

Comment 5 Yvugenfi@redhat.com 2020-10-11 07:02:42 UTC
(In reply to Lei Yang from comment #4)
> Hi, Yan
> 
> I tried to reproduce this bug on rhel.7.9. I test 50 times on the rhel.7.9
> and Win10 clients respectively,didn't reproduce this problem. So I think
> this problem should be an automated bug on rhel7 rather than a product bug.
> You can contact me at any time if you need other test results.
> 
> Test Version:
> qemu-kvm-rhev-2.12.0-48.el7_9.1.x86_64
> kernel-3.10.0-1160.el7.x86_64
> 
> Linux
> log:http://virtqetools.lab.eng.pek2.redhat.com/kvm_autotest_job_log/
> ?jobid=4590760
> Windows log:
> http://virtqetools.lab.eng.pek2.redhat.com/kvm_autotest_job_log/
> ?jobid=4610115
> 
> Best Regards
> Lei Yang

Hi Lei Yang,

Thank you for the update. Do you want to move this bug to automation, or I can close it and you will open another one?

Best regards,
Yan.

Comment 6 Lei Yang 2020-10-13 01:14:59 UTC
(In reply to Yan Vugenfirer from comment #5)
> (In reply to Lei Yang from comment #4)
> > Hi, Yan
> > 
> > I tried to reproduce this bug on rhel.7.9. I test 50 times on the rhel.7.9
> > and Win10 clients respectively,didn't reproduce this problem. So I think
> > this problem should be an automated bug on rhel7 rather than a product bug.
> > You can contact me at any time if you need other test results.
> > 
> > Test Version:
> > qemu-kvm-rhev-2.12.0-48.el7_9.1.x86_64
> > kernel-3.10.0-1160.el7.x86_64
> > 
> > Linux
> > log:http://virtqetools.lab.eng.pek2.redhat.com/kvm_autotest_job_log/
> > ?jobid=4590760
> > Windows log:
> > http://virtqetools.lab.eng.pek2.redhat.com/kvm_autotest_job_log/
> > ?jobid=4610115
> > 
> > Best Regards
> > Lei Yang
> 
> Hi Lei Yang,
> 
> Thank you for the update. Do you want to move this bug to automation, or I
> can close it and you will open another one?
> 
> Best regards,
> Yan.

Hi, Yan

I think we can closed it, there is an automation bug on QE side to continue tracking this problem.

Best regards
Lei Yang

Comment 7 Yvugenfi@redhat.com 2020-10-13 08:05:10 UTC
Thanks Lei Yang,

Closing according to the comment #6.


Note You need to log in before you can comment on or make changes to this bug.